com.tibco.n2.service.adapter.logging

## Enum SAMethodContext

- java.lang.Object
- - java.lang.Enum<SAMethodContext>
  - - com.tibco.n2.service.adapter.logging.SAMethodContext

- All Implemented Interfaces:
    com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.api.N2LogMethodContext>, com.tibco.n2.logging.context.interfaces.N2LFIMethodContext, java.io.Serializable, java.lang.Comparable<SAMethodContext>

      public enum SAMethodContext
      extends java.lang.Enum<SAMethodContext>
      implements com.tibco.n2.logging.context.interfaces.N2LFIMethodContext

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancelProcessInstance`
    `cancelProcessInstances`
    `getBDSServiceComponent`
    `getBRMServiceComponent`
    `getBSServiceComponent`
    `getBXServiceComponent`
    `getDACServiceComponent`
    `getDEServiceComponent`
    `getECServiceComponent`
    `getFactory`
    `getInstance`
    `getPFEServiceComponent`
    `getPMServiceComponent`
    `getProcessInstances`
    `getProcessTemplates`
    `getServiceAdapterFactory`
    `getServiceFaultHandler`
    `getStaticInstance`
    `getWPServiceComponent`
    `initServiceAdapterConfig_configuration`
    `initServiceAdapterConfig_resourceFactory`
    `invoke`
    `resumeProcessInstance`
    `resumeProcessInstances`
    `SERVICEADAPTER_CONSTRUCTOR`
    `startProcess`
    `suspendProcessInstance`
    `suspendProcessInstances`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.api.N2LogMethodContext>` | `ctx`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.logging.api.N2LogMethodContext` | `getContext()`
    `void` | `setContext(com.tibco.n2.logging.api.N2LogMethodContext aValue)`
    `static SAMethodContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SAMethodContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### getProcessTemplates

          public static final SAMethodContext getProcessTemplates

    - #### getProcessInstances

          public static final SAMethodContext getProcessInstances

    - #### startProcess

          public static final SAMethodContext startProcess

    - #### cancelProcessInstances

          public static final SAMethodContext cancelProcessInstances

    - #### resumeProcessInstances

          public static final SAMethodContext resumeProcessInstances

    - #### suspendProcessInstances

          public static final SAMethodContext suspendProcessInstances

    - #### cancelProcessInstance

          public static final SAMethodContext cancelProcessInstance

    - #### resumeProcessInstance

          public static final SAMethodContext resumeProcessInstance

    - #### suspendProcessInstance

          public static final SAMethodContext suspendProcessInstance

    - #### getFactory

          public static final SAMethodContext getFactory

    - #### SERVICEADAPTER_CONSTRUCTOR

          public static final SAMethodContext SERVICEADAPTER_CONSTRUCTOR

    - #### initServiceAdapterConfig_resourceFactory

          public static final SAMethodContext initServiceAdapterConfig_resourceFactory

    - #### initServiceAdapterConfig_configuration

          public static final SAMethodContext initServiceAdapterConfig_configuration

    - #### getServiceAdapterFactory

          public static final SAMethodContext getServiceAdapterFactory

    - #### getBDSServiceComponent

          public static final SAMethodContext getBDSServiceComponent

    - #### getBRMServiceComponent

          public static final SAMethodContext getBRMServiceComponent

    - #### getWPServiceComponent

          public static final SAMethodContext getWPServiceComponent

    - #### getBXServiceComponent

          public static final SAMethodContext getBXServiceComponent

    - #### getDEServiceComponent

          public static final SAMethodContext getDEServiceComponent

    - #### getECServiceComponent

          public static final SAMethodContext getECServiceComponent

    - #### getDACServiceComponent

          public static final SAMethodContext getDACServiceComponent

    - #### getPMServiceComponent

          public static final SAMethodContext getPMServiceComponent

    - #### getPFEServiceComponent

          public static final SAMethodContext getPFEServiceComponent

    - #### getBSServiceComponent

          public static final SAMethodContext getBSServiceComponent

    - #### invoke

          public static final SAMethodContext invoke

    - #### getServiceFaultHandler

          public static final SAMethodContext getServiceFaultHandler

    - #### getStaticInstance

          public static final SAMethodContext getStaticInstance

    - #### getInstance

          public static final SAMethodContext getInstance

  - ### Field Detail

    - #### ctx

          protected com.tibco.n2.logging.context.parser.N2LFContextContainer<com.tibco.n2.logging.api.N2LogMethodContext> ctx

  - ### Method Detail

    - #### values

          public static SAMethodContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SAMethodContext c : SAMethodContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SAMethodContext valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getContext

          public com.tibco.n2.logging.api.N2LogMethodContext getContext()

      Specified by:
        `getContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.api.N2LogMethodContext>`

    - #### setContext

          public void setContext(com.tibco.n2.logging.api.N2LogMethodContext aValue)

      Specified by:
        `setContext` in interface `com.tibco.n2.logging.context.interfaces.N2LFIContext<com.tibco.n2.logging.api.N2LogMethodContext>`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.